apache2 不支持php文件 解决办法

一。修改apache配置文件

vim /usr/local/apache2/conf/httpd.conf

1.在此加上index.php

<IfModule dir_module>
    DirectoryIndex index.html index.php
</IfModule>

 

2. 在<IfModule mime_module> 里面增加一行AddType application/x-httpd-php .php

 AddType application/x-httpd-php .php
AddType application/x-httpd-php-source .phps 

3.检查配置文件httpd.cnf的语法是否正确

apachectl -t

4.重新加载配置文件

apachectl graceful

5.检查是否加载php的模块

apachectl -M

看看有没有php7_module (shared)

如果没有php7的模块,那么检查是否有php7模块的文件libphp7.so

  ls /usr/lib/apache2/modules/libphp7.2so

libphp7.so安装

apt-get install libapache2-mod-php7.2 
a2enmod php7.2

httpd.cnf配置文件中加载php模块

LoadModule php7_module modules/libphp7.2so

查看apache 所有加载的模块

apachectl -t -D DUMP_MODULES

最后发现php为ntp版本 不是线程安全的

删除所有php

apt remove php*

三. 重新去官网下载二进制php包并安装    

https://i.cnblogs.com/PostDone.aspx?postid=11143698&actiontip=%E5%8F%91%E5%B8%83%E6%88%90%E5%8A%9F
apt-get install libapache2-mod-php7.2 

OK
posted @ 2019-07-06 18:44  江期玉  阅读(4857)  评论(0编辑  收藏  举报